searchNodes=[{"doc":"Read temperature and humidity from AHT20 sensor in Elixir.","ref":"AHT20.html","title":"AHT20","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"AHT20.html#child_spec/1","title":"AHT20.child_spec/1","type":"function"},{"doc":"","ref":"AHT20.html#measure/1","title":"AHT20.measure/1","type":"function"},{"doc":"Start a new GenServer for interacting with a AHT20. Normally, you'll want to pass the :bus_name option to specify the I2C bus going to the AHT20.","ref":"AHT20.html#start_link/1","title":"AHT20.start_link/1","type":"function"},{"doc":"","ref":"AHT20.html#t:bus_address/0","title":"AHT20.bus_address/0","type":"type"},{"doc":"","ref":"AHT20.html#t:bus_name/0","title":"AHT20.bus_name/0","type":"type"},{"doc":"AHT20 GenServer start_link options :name - a name for the GenServer :bus_name - which I2C bus to use (defaults to &quot;i2c-1&quot; ) :bus_address - the address of the AHT20 (defaults to 0x38)","ref":"AHT20.html#t:options/0","title":"AHT20.options/0","type":"type"},{"doc":"One sensor measurement report.","ref":"AHT20.Measurement.html","title":"AHT20.Measurement","type":"module"},{"doc":"Converts raw sensor output into human-readable struct. iex&gt; % AHT20.Measurement { } = AHT20.Measurement . from_sensor_output ( &lt;&lt; 28 , 38 , 154 , 118 , 66 , 231 , 118 &gt;&gt; )","ref":"AHT20.Measurement.html#from_sensor_output/1","title":"AHT20.Measurement.from_sensor_output/1","type":"function"},{"doc":"","ref":"AHT20.Measurement.html#put_dew_point_c/1","title":"AHT20.Measurement.put_dew_point_c/1","type":"function"},{"doc":"","ref":"AHT20.Measurement.html#t:t/0","title":"AHT20.Measurement.t/0","type":"type"},{"doc":"The communication bus between the target board and the AHT20 sensor.","ref":"AHT20.Transport.html","title":"AHT20.Transport","type":"behaviour"},{"doc":"","ref":"AHT20.Transport.html#c:read/2","title":"AHT20.Transport.read/2","type":"callback"},{"doc":"","ref":"AHT20.Transport.html#c:start_link/1","title":"AHT20.Transport.start_link/1","type":"callback"},{"doc":"","ref":"AHT20.Transport.html#c:write/2","title":"AHT20.Transport.write/2","type":"callback"},{"doc":"","ref":"AHT20.Transport.html#c:write/3","title":"AHT20.Transport.write/3","type":"callback"},{"doc":"","ref":"AHT20.Transport.html#c:write_read/3","title":"AHT20.Transport.write_read/3","type":"callback"},{"doc":"","ref":"AHT20.Transport.html#t:bus_address/0","title":"AHT20.Transport.bus_address/0","type":"type"},{"doc":"","ref":"AHT20.Transport.html#t:bus_name/0","title":"AHT20.Transport.bus_name/0","type":"type"},{"doc":"","ref":"AHT20.Transport.html#t:register/0","title":"AHT20.Transport.register/0","type":"type"},{"doc":"","ref":"AHT20.Transport.html#t:transport/0","title":"AHT20.Transport.transport/0","type":"type"},{"doc":"AHT20 Read temperature and humidity from AHT20 sensor in Elixir.","ref":"readme.html","title":"AHT20","type":"extras"},{"doc":"# Connect to the sensor. iex&gt; { :ok , pid } = AHT20 . start_link ( bus_name : &quot;i2c-1&quot; , bus_address : 0x38 ) { :ok , # PID &lt; 0 . 1407 . 0 &gt; } # Read the humidity and temperature from the sensor. iex&gt; AHT20 . measure ( pid ) { :ok , % AHT20.Measurement { dew_point_c : 15.486471933717919 , humidity_rh : 42.671871185302734 , temperature_c : 29.494285583496094 , timestamp_ms : 79084 } } Depending on your hardware configuration, you may need to modify the call to AHT20.start_link/1 . See AHT20.options/0 for parameters.","ref":"readme.html#usage","title":"AHT20 - Usage","type":"extras"}]